Subject: Re: GUI
From: [email-masked] (root)

22 Dec 1996 12:53:14 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
In-Reply-To: <[email-masked]> from "Ted Lemon" at Dec 21, 96 07:44:32 pm
Content-Length: 1758      
Original-Sender: [email-masked]

> 
> 
> > Are any of the compiler tools going to get a GUI?  I think it would be gre=
> > at to simply click option boxs for command line parameters, or browse for =
> > source files.
> 
> Visual C++ is pretty cheap if you want a GUI.   Personally, I don't
> know why you'd want that - I recently prototyped a project with Visual
> C++ and then converted it to build under Cygwin32, and breathed a big
> sigh of relief when I was finally able to type ``make'' instead of
> having to screw around with the damned GUI (Godawful User Interface).
> 
> 			       _MelloN_

Yes. That's great idea. And when you are at it, use 'vi', what a GREAT
editor. And then, what a GREAT relief of not using the GUI debugger!!!
For instance, instead of just clicking over the name of something to
be displayed at the screen, type gdb's commands (how easy isn't it?
Oh! you forgot it, type help !)

print myvariable
print backtrace
print 
print
print
How NICE is that!

I think that for people that LIKE typing like you, that is surely heaven!
That's right. STAY WITH gdb, vi and all that.
And when you want the definition of something type (yes type and type)
:!sh   (to get out of vi)
bash$ grep myfunction *.[ch] >tmpfile
bash$ vi tmpfile
bash$ rm tmpfile
bash$ exit
[type return to continue]

Just a mouse click at the symbol's name? 
HOW AWFUL!!! WHAT A HORRIBLE IDEA!!! I LOVE TYPING!!!

For all others, I am writing an IDE/Visual debugger that will try to
incorporate the windowed interface conceptually. It is stupid that
programmers write GUI programs for others and do not benefit from
the easy of use of the GUI programs themselves!

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".